{
  "name": "zs-naiveui-admin",
  "version": "0.0.1",
  "private": true,
  "scripts": {
    "preinstall": "npx only-allow pnpm",
    "dev": "vite serve --mode development",
    "dev:prod": "vite serve --mode production",
    "build:prod": "vite build --mode production && vue-tsc --noEmit",
    "prepare": "husky install",
    "lint:eslint": "eslint  --fix --ext .ts,.js,.vue ./src ",
    "lint:prettier": "prettier --write \"**/*.{js,cjs,ts,json,tsx,css,less,scss,vue,html,md}\"",
    "lint:stylelint": "stylelint  \"**/*.{css,scss,vue}\" --fix",
    "lint:lint-staged": "lint-staged",
    "commit": "git-cz"
  },
  "config": {
    "commitizen": {
      "path": "node_modules/cz-git"
    }
  },
  "lint-staged": {
    "*.{js,ts}": [
      "eslint --fix",
      "prettier --write"
    ],
    "*.{cjs,json}": [
      "prettier --write"
    ],
    "*.{vue,html}": [
      "eslint --fix",
      "prettier --write",
      "stylelint --fix"
    ],
    "*.{scss,css}": [
      "stylelint --fix --allow-empty-input",
      "prettier --write"
    ],
    "*.md": [
      "prettier --write"
    ]
  },
  "dependencies": {
    "@types/crypto-js": "^4.1.1",
    "@vicons/antd": "^0.12.0",
    "@vicons/ionicons5": "^0.12.0",
    "@vitejs/plugin-vue": "^4.4.0",
    "@vueuse/core": "^10.5.0",
    "@wangeditor/editor": "^5.1.23",
    "@wangeditor/editor-for-vue": "5.1.10",
    "axios": "^1.6.0",
    "crypto-js": "^4.2.0",
    "echarts": "^5.4.3",
    "element-resize-detector": "^1.2.4",
    "lodash": "^4.17.21",
    "lodash-es": "^4.17.21",
    "naive-ui": "^2.36.0",
    "path-browserify": "^1.0.1",
    "path-to-regexp": "^6.2.1",
    "pinia": "^2.1.7",
    "terser": "^5.24.0",
    "vue": "^3.3.8",
    "vue-router": "^4.2.5",
    "vue-types": "^5.1.1",
    "vue3-seamless-scroll": "^2.0.1",
    "vuedraggable": "^4.1.0"
  },
  "devDependencies": {
    "@commitlint/cli": "^17.8.1",
    "@commitlint/config-conventional": "^17.8.1",
    "@iconify-json/ep": "^1.1.12",
    "@types/lodash": "^4.14.201",
    "@types/path-browserify": "^1.0.2",
    "@typescript-eslint/eslint-plugin": "^6.12.0",
    "@typescript-eslint/parser": "^6.12.0",
    "@vitejs/plugin-vue-jsx": "^3.0.2",
    "autoprefixer": "^10.4.16",
    "commitizen": "^4.3.0",
    "cz-git": "^1.7.1",
    "eslint": "^8.54.0",
    "eslint-config-prettier": "^8.10.0",
    "eslint-plugin-import": "^2.29.0",
    "eslint-plugin-prettier": "^4.2.1",
    "eslint-plugin-vue": "^9.18.1",
    "fast-glob": "^3.3.2",
    "husky": "^8.0.3",
    "lint-staged": "^13.3.0",
    "postcss": "^8.4.31",
    "prettier": "^2.8.8",
    "sass": "^1.69.5",
    "stylelint": "^15.11.0",
    "stylelint-config-html": "^1.1.0",
    "stylelint-config-recess-order": "^4.3.0",
    "stylelint-config-recommended-scss": "^13.1.0",
    "stylelint-config-recommended-vue": "^1.5.0",
    "stylelint-config-standard": "^34.0.0",
    "stylelint-config-standard-scss": "^11.1.0",
    "tailwindcss": "^3.4.1",
    "typescript": "^5.3.2",
    "unplugin-auto-import": "^0.15.3",
    "unplugin-icons": "^0.16.6",
    "unplugin-vue-components": "^0.24.1",
    "vite": "^4.5.0",
    "vite-plugin-svg-icons": "^2.0.1",
    "vue-tsc": "^1.8.22"
  },
  "engines": {
    "node": ">=16.0.0"
  }
}
